Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::ScopedTimer Struct Reference

`#include <Timer.h>`

## Public Member Functions

| ScopedTimer (const std::string &msg)
| ~ScopedTimer ()
| ScopedTimer (const std::string &msg)
| ~ScopedTimer ()

## Public Attributes

std::chrono::time_point< Clock > | start = Clock::now()
std::string | msg

## Detailed Description

Definition at line 17 of file Timer.h.

## Constructor & Destructor Documentation

## ScopedTimer() [1/2]

Halide::Internal::Autoscheduler::ScopedTimer::ScopedTimer | ( | const std::string & | msg | ) |

inline explicit

Definition at line 21 of file Timer.h.

References msg.

## ~ScopedTimer() [1/2]

Halide::Internal::Autoscheduler::ScopedTimer::~ScopedTimer | ( |  | ) |

inline

Definition at line 26 of file Timer.h.

References msg, and start.

## ScopedTimer() [2/2]

Halide::Internal::Autoscheduler::ScopedTimer::ScopedTimer | ( | const std::string & | msg | ) |

inline explicit

Definition at line 36 of file Statistics.h.

References msg, and start.

## ~ScopedTimer() [2/2]

Halide::Internal::Autoscheduler::ScopedTimer::~ScopedTimer | ( |  | ) |

inline

Definition at line 42 of file Statistics.h.

References msg, and start.

## Member Data Documentation

## start

std::chrono::time_point< Clock > Halide::Internal::Autoscheduler::ScopedTimer::start = Clock::now()

Definition at line 18 of file Timer.h.

Referenced by ScopedTimer(), and ~ScopedTimer().

## msg

std::string Halide::Internal::Autoscheduler::ScopedTimer::msg

Definition at line 19 of file Timer.h.

Referenced by ScopedTimer(), and ~ScopedTimer().

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/Timer.h
- src/autoschedulers/anderson2021/Statistics.h